DRUO
Get started
Balance & Deposits

List Deposits

GEThttps://api.druo.com/deposits/list

Retrieve a paginated list of deposits associated with a business.

This endpoint returns a list of deposits and supports advanced filtering and search capabilities using query parameters such as status and page size.

Query parameters

pageintegeroptional

The page number to return. Starts at 1.

page_sizeintegeroptional

The number of items per page. Defaults to 1000 when omitted.

Pagination · Filters

Response— Returns a paginated list.

uuidstringoptional

The unique identifier (UUID) of the transaction.

Example: trx_422f0f81-5001-4cce-a229-242d9ab9960a
codestringoptional

The transaction's unique tracking code.

Example: TXNMW9PCWE
statusstringoptional

The current status of the transaction.

Example: SUCCESSFUL
typestringoptional

The type of transaction.

Example: DEPOSIT
tenantobjectoptional

The tenant that originated the transaction.

Example: {"uuid": "ten_0521aadc-5fbd-4b3c-af0a-a4f4b8d6f20a"}
amountintegeroptional

The amount of money in the smallest denomination of the currency (e.g., cents for USD, so $10.00 is represented as 1000).

Example: 10000
variable_feeintegeroptional

The variable fee applied to the transaction.

Example: 400
fixed_feeintegeroptional

The fixed fee applied to the transaction.

Example: 0
total_feeintegeroptional

The total fee applied to the transaction.

Example: 400
net_amountintegeroptional

The net amount of the transaction.

Example: 20400
currencyobjectoptional

The transaction currency represented in ISO 4217 format.

Example: {"code": "USD"}
descriptionstringoptional

An optional description for the transaction, which may be visible to users in email receipts.

Example: Insurance policy renewal - INV12324
remarksstringoptional

Additional remarks or reasons associated with the transaction status.

Example: INSUFFICIENT_FUNDS
destination_accountobjectoptional

The destination account for the transaction.

Example: {"uuid": "acc_0521aadc-5fbd-4b3c-af0a-a4f4b8d6f20a"}
creation_sourcestringoptional

The system or portal where the transaction was created.

Example: MERCHANT_PORTAL
primary_referencestringoptional

An optional primary ID to associate with the transaction for your own record-keeping. Max 40 characters.

Example: ABC123
secondary_referencestringoptional

An optional secondary ID to associate with the transaction for your own record-keeping. Max 40 characters.

Example: bj39fhow39fhqp3f0hfae4344
metadataobjectoptional

A set of key-value pairs that can be attached to the object. You can specify up to 50 keys, with key names up to 40 characters and values up to 500 characters.

Example: {"order_id": "6735"}
date_created_gmtstringoptional

The GMT date and time when the transaction was created.

Example: 2021-11-15T23:23:38
date_updated_gmtstringoptional

The GMT date and time when the transaction was last updated.

Example: 2021-11-15T23:23:38
NextPOSTCreate Profile